/*
 * 文 件 名:  WeatherType
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/5/9
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.huashe.common.domain.model;

import java.util.List;

/**
 * 天气分类
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/5/9]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public class WeatherType {
    private String code;

    private String name;

    private String desc;

    private List<WeatherType> children;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public List<WeatherType> getChildren() {
        return children;
    }

    public void setChildren(List<WeatherType> children) {
        this.children = children;
    }
}